<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<!-- on récupère le type de question -->
		<xsl:variable name="type" select="getContent(gotoMeta(),'')"/>
		<!-- on teste le type de question -->
		<xsl:if test="$type='echelle'">
			<type>F</type>
			<question/>
		</xsl:if>
		<xsl:if test="$type='ouverte'">
			<type>T</type>
			<question>
				<xsl:apply-templates select="sp:tqeee"/>
			</question>
		</xsl:if>
		<xsl:if test="$type='numerique'">
			<type>N</type>
			<question>
				<xsl:apply-templates select="sp:tqeee"/>
			</question>
		</xsl:if>
	</xsl:template>
	<!-- template associé au model 'texte' -->
	<xsl:template match="sp:tqeee">
		<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'')"/>
	</xsl:template>
</xsl:stylesheet>
