<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<row>
			<qid>
				<xsl:copy-of select="concat(getDialogVar('PositionGroup'), getDialogVar('IdQuestion'))"/>
			</qid>
			<parent_qid>
				<xsl:value-of select="getDialogVar('IdQuestion')"/>
			</parent_qid>
			<gid>
				<xsl:value-of select="getDialogVar('PositionGroup')"/>
			</gid>
			<type>T</type>
			<language>fr</language>
			<title>
				<xsl:copy-of select="concat('SQ', getDialogVar('IdQuestion'))"/>
			</title>
			<question>
				<xsl:value-of select="sc:para"/>
			</question>
		</row>
	</xsl:template>
</xsl:stylesheet>
