<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:for-each select="sp:qrqeee">
			<!-- on stocke la position de la question dans une variable de dialogue -->
			<xsl:value-of select="execute(setDialogVar('PositionQuestion', position()))"/>
			<!-- on attaque le sous model 'question' -->
			<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'echelle')"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
