<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<!-- on récupère le type de question -->
	<xsl:variable name="type" select="getContent(gotoMeta(),'')"/>
	<!-- on teste le type de question -->
	<xsl:template match="*">
		<xsl:if test="$type='echelle'">
			<xsl:text>"Rating","Notez de 1 à 5
[1 = pas du tout d'accord - 5 = entièrement d'accord]",,"</xsl:text>
			<!-- on attaque le sous model 'sTxt' -->
			<xsl:apply-templates select="sp:tqeee"/>
			<xsl:text>"
</xsl:text>
		</xsl:if>
		<xsl:if test="$type='ouverte'">
			<xsl:text>"OpenQuestion","</xsl:text>
			<!-- on attaque le sous model 'sTxt' -->
			<xsl:apply-templates select="sp:tqeee"/>
			<xsl:text>",,
</xsl:text>
		</xsl:if>
		<xsl:if test="$type='numerique'">
			<xsl:text>"GuessNumber","</xsl:text>
			<!-- on attaque le sous model 'sTxt' -->
			<xsl:apply-templates select="sp:tqeee"/>
			<xsl:text>",,
</xsl:text>
		</xsl:if>
	</xsl:template>
	<!-- template associé au model 'sTxt' -->
	<xsl:template match="sp:tqeee">
		<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'')"/>
	</xsl:template>
</xsl:stylesheet>
