<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<row>
			<qid>
				<xsl:value-of select="getDialogVar('IdQuestion')"/>
			</qid>
			<code>A1</code>
			<answer>Pas d'accord</answer>
			<sortorder>1</sortorder>
			<language>fr</language>
		</row>
		<row>
			<qid>
				<xsl:value-of select="getDialogVar('IdQuestion')"/>
			</qid>
			<code>A2</code>
			<answer>Ni en désaccord ni d'accord</answer>
			<sortorder>2</sortorder>
			<language>fr</language>
		</row>
		<row>
			<qid>
				<xsl:value-of select="getDialogVar('IdQuestion')"/>
			</qid>
			<code>A3</code>
			<answer>D'accord</answer>
			<sortorder>3</sortorder>
			<language>fr</language>
		</row>
		<row>
			<qid>
				<xsl:value-of select="getDialogVar('IdQuestion')"/>
			</qid>
			<code>A4</code>
			<answer>Tout à fait d'accord</answer>
			<sortorder>4</sortorder>
			<language>fr</language>
		</row>
	</xsl:template>
</xsl:stylesheet>
