<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<!-- on déclare les balises du fichier d'import -->
		<FEEDBACK VERSION="200701">
			<ITEMS>
				<!-- on attaque le sous model 'rubrique' -->
				<xsl:apply-templates select="sp:rqeee"/>
			</ITEMS>
		</FEEDBACK>
	</xsl:template>
	<!-- template associé au model 'rubrique' -->
	<xsl:template match="sp:rqeee">
		<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'')"/>
	</xsl:template>
</xsl:stylesheet>
