<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" exclude-result-prefixes="sc sp op">
	<xsl:output encoding="UTF-8" indent="yes" method="xml" omit-xml-declaration="yes" version="1.0"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<!-- on récupère le titre de la rubrique -->
		<xsl:variable name="titre" select="normalize-space(getContent(gotoMeta(),''))"/>
		<!-- on teste si le titre existe -->
		<xsl:if test="$titre">
			<ITEM REQUIRED="0" TYPE="label">
				<PRESENTATION>
					<!-- on recopie le titre de la rubrique -->
&lt;strong&gt;<xsl:copy-of select="$titre"/>&lt;/strong&gt;
</PRESENTATION>
			</ITEM>
		</xsl:if>
		<!-- on attaque le sous model 'question' -->
		<xsl:apply-templates select="sp:qrqeee"/>
	</xsl:template>
	<!-- template associé au model 'question' -->
	<xsl:template match="sp:qrqeee">
		<xsl:value-of disable-output-escaping="yes" select="getContent(gotoSubModel(),'')"/>
	</xsl:template>
</xsl:stylesheet>
